#ifndef TIPSCHANGE_H
#define TIPSCHANGE_H

#include <QDialog>
#include <QMessageBox>
#include <QKeyEvent>
#include <QHBoxLayout>
#include "windowtitle.h"
#include "src/frame/xatom-helper.h"
#include "src/frame/configuration.h"
namespace Ui {
class TipsChange;
}

class TipsChange : public QDialog
{
    Q_OBJECT

public:
    explicit TipsChange(QWidget *parent = nullptr);
    ~TipsChange();

private:
    Ui::TipsChange *ui;
    bool               m_bIsWayland;
    QString            m_oTipTitle;

    QString m_labelContent;
    QPushButton *m_oEnsureBtn;
    QPushButton *m_oCancelBtn;
    QString m_result;
    QHBoxLayout *m_hlay;

public:
    int information(QString, QString, bool next = false);
    void error(QString, QString, bool next = false);
    bool question(QString, QString, bool next = false);
    QString result();
    QString content();
    void setResult(QString);
    void setcontext(QString);
    bool input(QString&, QString, QString, QString result);
    QPushButton* replayEnsure();
    QPushButton* replayCancel();
protected:
    void keyPressEvent(QKeyEvent *event);
public slots:
    void slotsClose();
    void slotChangeUIFontSize(int fontSize);
private slots:
     void slotsTipsAgain(bool b);
};

#endif // TIPSCHANGE_H
